Get a list of consents
get
/Consent
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves a list of consents that meet the supplied query parameters.
- Do not combine
_idwith patient or consentor selectors. - Use
categoryonly with another supported selector.
Request
Query Parameters
-
__lastUpdated: array[string]
Maximum Number of Items:
2The last updated date used to filter results. -
_count: integer
Minimum Value:
1Maximum Value:128The maximum number of results per page.Default Value:50 -
_id: string
The logical resource ID.
-
_include: array[string]
Maximum Number of Items:
2Unique Items Required:trueIncludes matching Patient and RelatedPerson resources.-
Allowed Values:
[ "Consent:patient", "Consent:consentor" ]
-
-
category: string
The consent category token.
-
consentor: string
The related person consentor reference or ID.
-
consentor.identifier: string
The consentor identifier.
-
patient: string
The patient reference or ID.
-
patient.identifier: string
The patient identifier.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful search response.
Root Schema : schema
Type:
Show Source
object-
entry: array
entry
-
id(required): string
-
link: array
link
-
resourceType(required): string
Allowed Values:
[ "Bundle" ] -
type(required): string
Nested Schema : resource
Match One Schema
Show Source
-
object
Consent
The FHIR R4 Consent resource.
-
object
PatientForConsent
Additional Properties Allowed:
trueThe included FHIR Patient resource. -
object
RelatedPersonForConsent
Additional Properties Allowed:
trueThe included FHIR RelatedPerson resource.
Nested Schema : Consent
Type:
objectThe FHIR R4 Consent resource.
Show Source
-
category(required): array
category
-
id(required): string
-
meta: object
meta
-
patient(required): object
ReferenceForConsent
-
performer: array
performer
-
policyRule(required): object
CodeableConcept
-
resourceType(required): string
Allowed Values:
[ "Consent" ] -
scope(required): object
CodeableConcept
-
status(required): string
-
text: object
Narrative
Nested Schema : PatientForConsent
Type:
objectAdditional Properties Allowed:
trueThe included FHIR Patient resource.
Show Source
-
resourceType: string
Allowed Values:
[ "Patient" ]
Nested Schema : RelatedPersonForConsent
Type:
objectAdditional Properties Allowed:
trueThe included FHIR RelatedPerson resource.
Show Source
-
resourceType: string
Allowed Values:
[ "RelatedPerson" ]
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : BundleLink
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ]The link relation. -
url: string
The link URL.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source